org.richfaces.fragment.orderingList

## Class RichFacesOrderingList

- java.lang.Object
- - org.richfaces.fragment.orderingList.AbstractOrderingList
  - - org.richfaces.fragment.orderingList.RichFacesOrderingList

- All Implemented Interfaces:
    AdvancedInteractions<AbstractOrderingList.AdvancedOrderingListInteractions>, AdvancedVisibleComponentIteractions<AbstractOrderingList.AdvancedOrderingListInteractions>, OrderingList

      public class RichFacesOrderingList
      extends AbstractOrderingList

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesOrderingList.AdvancedRichOrderingListInteractions`
    `static class` | `RichFacesOrderingList.SelectableListImpl`
    `static class` | `RichFacesOrderingList.SelectableListItemImpl`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.orderingList.AbstractOrderingList

      `AbstractOrderingList.AdvancedOrderingListInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesOrderingList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesOrderingList.AdvancedRichOrderingListInteractions` | `advanced()`

    - ### Methods inherited from class org.richfaces.fragment.orderingList.AbstractOrderingList

      `getOrderingInteraction, getPuttingSelectedItem, select, select, select, selectItem, selectItems, unselectAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesOrderingList

          public RichFacesOrderingList()

  - ### Method Detail

    - #### advanced

          public RichFacesOrderingList.AdvancedRichOrderingListInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractOrderingList.AdvancedOrderingListInteractions>`
      Specified by:
        `advanced` in class `AbstractOrderingList`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.